Fehlermeldung: 0 Call to undefined method Joomla\CMS\Application\AdministratorApplication::isAdmin()

  • Hallo!


    Ich arbeite mittlerweile mit Joomla 4.

    Nachdem ich nun eben ein Plugin aktiviert habe ist das Joomla nun nicht mehr nutzbar.


    Im Frontend, als auch im Backend kommt folgende Fehlermeldung


    0 Call to undefined method Joomla\CMS\Application\AdministratorApplication::isAdmin()


    Was kann ich tun?


    Ich habe einige Stunden an der Webseite gearbeitet und ich hoffe mal nicht das meine ganze Arbeit nun dahin ist.

    Das würde mich sehr enttäuschen, denn bisher gab es solcher Problem mit keiner Joomla Version.


    Danke!!!


    Gruß

    sven

  • Was kann ich tun?

    Backup zurückspielen. Du hast ein inkompatibles Plugin installiert. Um welche Erweiterung handelt es sich denn?


    Hast du kein Backup, musst Du es über die Datenbank deaktvieren.


    Über PHPMyAdmin die Tabelle _extensions die Zeile suchen in der das Plugin bzw. die Erweiterung aufgeführt wird und "enable" auf "0" stellen.

  • Hallo!


    Danke. Dann muss ich nachher mal per phpMyAdmin in der Datenbank schauen. Ein Backup habe ich nicht.


    Das PlugIn ist für Joomla 4.x.

    Es ist dieses hier: https://www.joomshaper.com/joomla-extensions/cookieconsent


    Es lies sich ja auch einwandfrei und sauber installieren.


    Irgendwas scheint dann wohl im Joomla 4 nicht ganz sauber zu sein.

    Selbst wenn man ein inkompatibles Plugin installiert, sollte sich Joomla meiner Meinung nach nicht abschiessen.


    Ich werde mal den Support vom PlugIn Hersteller informieren.


    Gruß

    sven

  • Irgendwas scheint dann wohl im Joomla 4 nicht ganz sauber zu sein.

    Das liegt nicht an Joomla, sondern, dass das Plugin nicht für Joomla 4 kompatibel geschreiben ist. Erweiterungen werden damit ausgezeichnet für welche Versionen sie kompatibel sind.

    Selbst wenn man ein inkompatibles Plugin installiert, sollte sich Joomla meiner Meinung nach nicht abschiessen.

    Das ist bei allen CMS so. Wie oft musste ich schon unter WP veraltete Plugins per FTP löschen umd die Seite wieder zum Laufen zu bringen.

    Ein Backup habe ich nicht.

    Das sollte aber in Angriff genommen werden.

  • Hallo!


    Backup hatte ich noch nicht, weil das eine neue Seite ist und ich noch gar nicht soweit war.


    Zitat

    Das liegt nicht an Joomla, sondern, dass das Plugin nicht für Joomla 4 kompatibel geschreiben ist. Erweiterungen werden damit ausgezeichnet für welche Versionen sie kompatibel sind.


    Genau das ist ja das Problem. Schau mal bei meinem Link.

    Das Plugin wurde vom Entwickler für Joomla 4 ausgezeichnet.

    Ich würde nie ein Plugin installieren welches nicht für die entsprechende Joomla Version rausgegeben wurde.

    Daher liegt der schwarze Peter in diesem Fall beim Entwickler.

    Ich arbeite schon viele Jahre mit Joomla. Hab mit 1.x angefangen und noch nie solche Probleme gehabt.


    Gruß

    sven

  • Wie kommst du darauf, dass gerade das von dir genannte Plugin den Fehler auslöst? (Ist es das Plugin, was du im ersten Beitrag umschreibst, ohne es zu nennen)

    Hast du es mal deaktiviert und läuft die Seite dann? (Backend und Frontend)


    Selbst wenn man ein inkompatibles Plugin installiert, sollte sich Joomla meiner Meinung nach nicht abschiessen.

    Tanke mal Diesel statt Super. Dann kannst du auch nicht zwingend erwarten, dass dein Auto fährt. Aber bei den momentanen Preisen ist Laufen eh günstiger. ;)

  • 0 Call to undefined method Joomla\CMS\Application\AdministratorApplication::isAdmin()

    Dieser Fehler wurde immer wieder mal bemeckert, dass der jetzt in Joomla 4 so häufig zu sehen ist und man in Joomla 4 keine rückwärtskompatible Lösung eingebaut hat.


    Andererseits: Der Fehler ist so stinkleicht zu fixen/vermeiden und Entwickler sind da schon in der Schuld, wenn sie das für Ihre Erweiterungen nicht gemacht haben sollten. Weil die "neue Variante" auch unter Joomla 3 schon lange funktioniert.


    Aaaber: System - SP Cookie Consent for Joomla 4 enthält diesen Fehler nicht.


    UUUND: Auf der von dir verlinkten Seite steht explizit:

    Zitat

    Notice! Please disable that plugin before Joomla 4 upgrade process, and install the extension version compatible with the new Joomla only

  • Hallo!


    Per phpMyAdmin habe ich das PlugIn deaktiviert und es läuft wieder alles.

    Das es das PlugIn ist war klar, weil der Fehler direkt nach aktivieren dieses Plugins auftrat.


    Joomla kann ja nichts dafür, wenn der PlugIn Entwickler Mist macht.


    Na ja, das wichtigste ist, das alles wieder sauber läuft.


    Gruß

    sven

  • Hallo alle,


    ich frage mal ganz leihenhaft:
    Wo im Joomla-Backed finde ich einen Bereich der mir sagt:
    Du, dieses Plugin/Modul etc ist alt und sollte in dieser Joomla Version nicht laufen, also schalte es ab bzw lösche es.

    Vielleicht bekomme ich dann diesen Fehler "0 Call to undefined method Joomla\CMS\Application\AdministratorApplication::isSite()"
    in den Griff. Er erscheint auch nur, wenn ich im Backend oben links "Kontrolzentrum" klicke. In anderen Menüüunkten sah ich ihn
    noch nicht.


    lg daniel

  • Wenn du von 3 nach 4 migrieren willst, werden dir die Plugins/Module etc. angezeigt, die eventuell nicht kompatibel mit 4 sind.


    Dann sollte man sie updaten oder deaktivieren.


    Vorher natürlcih immer ein Backup anfertigen.


    Würde aber neues Thema aufmachen, das es eine andere Fehlermeldung ist und dieser Thread schon auf Erledigt steht.

    Dann aber alle nötigen Hinweise (Forenregeln) mit angeben.